use utf8;
use strict;

binmode(STDOUT, ":utf8");

# リスト11
{
    package Widget;
    use Moose;
    use MooseX::StrictConstructor;

    has write_log => (
        is      => 'rw',
        default => 0,
    );

    sub something {
        my $self = shift;
        if ($self->write_log) {
            warn "write_log";
        }
        else {
            warn "oops!";
        }
    }

    my $widget = Widget->new(use_log => 1);
    $widget->something();
}
